ambari-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From atk...@apache.org
Subject ambari git commit: AMBARI-21647 PATCH upgrade with version less than current should be displayed. (atkach)
Date Mon, 28 Aug 2017 09:45:21 GMT
Repository: ambari
Updated Branches:
  refs/heads/trunk e399cb4a9 -> cad25398c


AMBARI-21647 PATCH upgrade with version less than current should be displayed. (atkach)


Project: http://git-wip-us.apache.org/repos/asf/ambari/repo
Commit: http://git-wip-us.apache.org/repos/asf/ambari/commit/cad25398
Tree: http://git-wip-us.apache.org/repos/asf/ambari/tree/cad25398
Diff: http://git-wip-us.apache.org/repos/asf/ambari/diff/cad25398

Branch: refs/heads/trunk
Commit: cad25398cadc94e19cbdc4e7751d6030a4e733e3
Parents: e399cb4
Author: Andrii Tkach <atkach@apache.org>
Authored: Mon Aug 28 12:44:09 2017 +0300
Committer: Andrii Tkach <atkach@apache.org>
Committed: Mon Aug 28 12:44:09 2017 +0300

----------------------------------------------------------------------
 ambari-web/app/views/main/admin/stack_upgrade/versions_view.js | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/ambari/blob/cad25398/ambari-web/app/views/main/admin/stack_upgrade/versions_view.js
----------------------------------------------------------------------
diff --git a/ambari-web/app/views/main/admin/stack_upgrade/versions_view.js b/ambari-web/app/views/main/admin/stack_upgrade/versions_view.js
index 71edc7d..f055feb 100644
--- a/ambari-web/app/views/main/admin/stack_upgrade/versions_view.js
+++ b/ambari-web/app/views/main/admin/stack_upgrade/versions_view.js
@@ -171,7 +171,8 @@ App.MainAdminStackVersionsView = Em.View.extend({
     } else {
       return versions.filter(function(v) {
         if (v.get('stackVersionType') === Em.get(currentVersion, 'stack_name')) {
-          return stringUtils.compareVersions(v.get('repositoryVersion'), Em.get(currentVersion,
'repository_version')) >= 0;
+          // PATCH version should be visible even if patch number lower than current
+          return v.get('isPatch') || stringUtils.compareVersions(v.get('repositoryVersion'),
Em.get(currentVersion, 'repository_version')) >= 0;
         }
         return v.get('isCompatible');
       }).toArray();


Mime
View raw message